html{
    scroll-behavior: smooth;
}
body{
    margin: 0px 0px 0px 0px;
    font-family: 'Montserrat', sans-serif;
}

section{
    height: 100vh;
    width: 100%;

    background-color: rgb(255, 255, 255);
}

.hero-section{
    width: 100%;
    height: 100vh; /* 100% der Bildschirmhöhe */
    overflow: hidden;

    display: flex;
    flex-direction: column;

    position: relative;

    margin-bottom: -60px;
}

.hero-image-container{
    height: 70%;
    width: 100%;

    position: relative;

    overflow: hidden;
}

.hero-image-container > img{
    width: 100%;
    height: 100%;
    object-fit: cover; /* Bild wird skaliert ohne Verzerrung */

    position: absolute;
    z-index: 1;

    inset: 0;
    opacity: 0;
    animation-name: imageFadeIn;
    animation-duration: 16s;
    animation-iteration-count: infinite;
}

.hero-image-container > img:nth-child(1){
    animation-delay: 0s;
}
.hero-image-container > img:nth-child(2){
    animation-delay: 8s;
}
@keyframes imageFadeIn
{
    0%{
        opacity: 0;
        transform: scale(100%);
    }
    50%{
        opacity: 1;
    }
    100%{
        opacity: 0;
        transform: scale(110%);
    }
}


/* Text über dem Bild */
.hero-text {
    position: absolute;
    top: 70%;
    left: 50%;
    transform: translate(-50%, -50%) scale(.85);
    color: white;
    text-align: center;
    background: rgba(0, 0, 0, 0.5); /* Dunkler Hintergrund für bessere Lesbarkeit */
    padding: 20px;
    border-radius: 10px;

    z-index: 2;
}

.hero-text button{
    height: 40px;   
    width: 140px;

    border-radius: 20px;
    border: 1px solid #65aaff;
    padding: 8px;

    cursor: pointer;

    font-size: .8rem;
    font-weight: bolder;

    color: white;
    background-color: #2f79d3;

    transition: background-color .1s ease-in-out, border-color .3s ease-in-out, color .1s ease-in-out;
}

.hero-text button:hover{
    color: black;
    background-color: #65aaff;
    border-color: #2f79d3;
}



.hero-text h1 {
    font-size: 2.5rem;
    margin: 0;
}

.hero-text p {
    font-size: 1.5rem;
}

.hero-description{
    display: flex;
    justify-content: space-around;
    align-items: center;

    z-index: 3;
    position: relative;
    top: 0%;

    padding: 20px 0px 0px 0px;
}

.hero-description-element{
    min-width: 150px;

    scale: 1;
    
    display: flex;
    flex-direction: column;
    align-items: center;
}

.hero-description img{
    height: 50px;
    width: auto;
}

.hero-description p{
    font-weight: bold;
    font-size: 1.5rem;

    display: flex;
    justify-content: center;

    color: #2f79d3;
}

/*Section Seperater*/
.section-seperater{
    height: 50px;
    width: 100%;
    background: linear-gradient(to bottom right, #2f79d3 50%, transparent 100%);
    clip-path: polygon(0% 0%, 10% 100%, 100% 0%, 100% 0%);
}

/*Willkommens section*/

.willkommens-section{
    height: 100%;

    padding: 50px 0px 100px 0px;
}

.willkommens-text{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10%;

    margin: 0px 15% 0px 15%; 
}
.willkommens-section h4{
    grid-column: span 2; /* Überschrift über beide Spalten */
    text-align: start;
    margin: 0px 0px -10px 15%;

    color: gray;
    font-weight: bolder;
}

.willkommens-section h1{
    grid-column: span 2; /* Überschrift über beide Spalten */
    text-align: start;
    margin-left: 15%;

    font-weight: bolder;
    font-size: 2rem;
}

.willkommens-text p{
    line-height: 1.6;
    word-spacing: 0px;

    font-size: medium;
}

.willkommens-video-container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;

    gap: 50px;
}

.willkommens-video{
    display: flex;
    position: relative;
    height: 230px;
}
.willkommens-video > iframe{
    width: 100%;
    height: 73%;
    border-radius: 10px;

    scale: 1.5;
}

#playButton {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 24px;
    padding: 10px 20px;
    cursor: pointer;
    z-index: 1;

    /*Style*/
    height: 60px;
    width: 60px;
    border: white solid 3px;
    border-radius: 50%;
    color: white;
    background-color: #ffffff00;
}

/*Probetrainings button*/
.probetraining-button{
    width: 80%;
    height: 40px;

    background-color: white;
    color: #2f79d3;
    font-weight: bold;
    font-size: 12px;

    border-radius: 20px;
    border-color: #2f79d3;
    border-width: 4px;

    position: relative;
    z-index: 1;

    animation: rackingAnim 8s ease;
    animation-iteration-count:infinite;
}
.probetraining-button:hover{
    color: white;
    cursor: pointer;
}
.probetraining-button:before{
    transition: 0.5s all ease;
    position: absolute;
    top: 0;
    left: 50%;
    right: 50%;
    bottom: 0;
    content: "";
    background-color: #2f79d3;
    border-radius: 10px;
}
.probetraining-button:hover:before{
    transition: 0.5s all ease;
    position: absolute;
    left: 0;
    right: 0;
    opacity: 1;
    z-index: -1;
}
@keyframes rackingAnim {
    0%{
        transform: rotateZ(0);
    }
    85%{
        transform: rotateZ(0deg);
    }
    90%{
        transform: rotateZ(3deg);
    }
    95%{
        transform: rotateZ(-3deg);
    }
    100%{
        transform: rotateZ(0deg);
    }
}

/**/

/* Course Section */
.course-section{
    width: 100%;
    height: 100%; /* 100% der Bildschirmhöhe */
    overflow: hidden;

    display: flex;
    flex-direction: column;
    align-items: center;

    padding: 0px 0px 100px 0px;

    margin: 100px 0px 0px 0px;
}

.course-section > h4{
    margin: 100px 0px 0px 0px;

    font-size: 1rem;
    color: rgb(118, 118, 118);
} 
.course-section > h1{
    margin: 0px 0px 50px 0px;

    font-size: 2rem;
} 


.course-section-container{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;

    gap: 100px;
}

.course-section-course{
    height: 450px;
    width: 350px;

    border-radius: 10px;

    text-decoration: none;
    
    position: relative;

    overflow: hidden;
}


/* Image Shadow */
.course-section-course::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 60%;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.9), transparent);
    pointer-events: none;
    z-index: 0;
}

.course-section-course > img{
    width: 110%;
    height: 100%;
    object-fit: cover; /* Bild wird skaliert ohne Verzerrung */

    transition: scale .8s ease-in-out;
}
.course-section-course > img:hover{
    scale: 1.1;
}

.course-section-course-description{
    position: relative;

    margin: -120px 0px 0px 20px;
    z-index: 1;
    pointer-events: none;
}

.course-section-course-description > h2{
   color: #65aaff;
   font-weight: 900;
   font-size: 2rem;
}
.course-section-course-description > p{
    color: white;
    font-weight: bold;
    margin-top: -20px;
}


/* How to Probetraining */
.trailtraining-section{
    height: 700px;
    width: 100%;

    position: relative;
    display: flex;
    flex-direction: column;
}

.trailtraining-section > img{
    width: 100%;
    height: 700px;

    object-fit: cover;

    z-index: 0;
}

.trailtraining-section::after{
    content: "";
    position: absolute;
    bottom: 0%;
    left: 0%;
    width: 100%;
    height: 100%;
    background: #65aaffd5;
    pointer-events: none;
    z-index: 0;
}

.trailtraining-section-container{
    display: flex;
    flex-direction: column;

    gap: 0px;

    position: absolute;
    bottom: 10%;
    left: 15%;
    width: 70%;
    height: 80%;
}


.trailtraining-section-header{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    gap: 0px;

    width: 100%;
    height: 20%;

    margin: -20px 0px -100px 0px;

    z-index: 1;
}

.trailtraining-section-header > h1{
    color: rgb(0, 0, 0);
    font-size: 2.2rem;
    font-weight: 900;

    z-index: 1;
}
.trailtraining-section-header > p{
    color: rgb(255, 255, 255);
    font-size: medium;
    font-weight: 900;

    margin-top: -20px;

    z-index: 1;
}


.trailtraining-section-item-container{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;

    gap: 20px;

    padding: 150px 0px 0px 0px;
}

.trailtraining-section-item {
    display:flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;

    position: relative;
    bottom: 0;
    left: 0%;
    width: 400px;
    height: 300px;

    border-radius: 10px;

    background-color: white;

    z-index: 1;
}

.trailtraining-section-item > img{
   padding: 20px 0px 0px 0px;
}
.trailtraining-section-item > p{
   padding: 0px 20px 0px 20px;
   text-align: center;
}

.trailtraining-section-pt{
    display: flex;
    justify-content: center;
    align-items: center;

    padding: 80px 0px 0px 0px;

    z-index: 1;
}
.trailtraining-section-pt > button{
    height: 45px;
    width: 200px;

    border-radius: 20px;
    border: 1px solid #65aaff;
    padding: 8px;

    cursor: pointer;

    font-size: 1rem;
    font-weight: bolder;

    color: rgb(0, 0, 0);
    background-color: #ffffff;

    transition: background-color .1s ease-in-out, border-color .3s ease-in-out, color .1s ease-in-out;
}
.trailtraining-section-pt > button:hover{
    border-color: black;
    color: rgb(0, 0, 0);
    background-color: #f3f3f3;
}

/*Trainer section*/
.trainer-section{
    height: 700px;
    width: 100%;

    margin: 0px 0px 200px 0px;

    display: flex;
    position: relative;
    flex-direction: column;
    align-items: center;
}
.trainer-section > h1{
    font-size: 2rem;
    text-align: center;

    margin: 0px 0px 70px 0px;
}
.trainer-section > h4{
    font-size: 1rem;
    text-align: center;
    color: rgb(118, 118, 118);

    margin: 80px 0px 0px 0px;
}

.trainer-container{
    height: 80%;
    width: 80%;

    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}

.trainer-item{
    height: 100%;
    width: 350px;

    display: flex;
    flex-direction: column;
    align-items: center;

    border-radius: 10px;

    background-color: rgb(255, 255, 255);
    box-shadow: 0 0px 6px rgba(0, 0, 0, 0.408);
}

.trainer-item-selected{
    width: 380px; 
    height: 110%;
}

.trainer-item-profilPicture{
    height: 150px;
    width: 150px;

    margin: 50px 0px 0px 0px;
}
.trainer-item-profilPicture > img{
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: #2f79d3 solid 3px;
    object-fit: cover;       
    object-position: 50% 30%;
}

.trainer-item > h2{
    color: #2f79d3;
    text-align: center;
}

.trainer-item > p{
    text-align: center;
    font-size: small;
    margin: 0px 10% 0px 10%;
}

.trainer-item-badges-container{
    width: 90%;
    height: 18%;

    margin: 20px 0px 0px 0px;

    display: flex;
    flex-direction: row;
    justify-content: space-evenly;

    /* background-color: black; */
}
.trainer-item-badges{
    width: 25%;
    height: 100%;

    display: flex;
    flex-direction: column;
    align-items:center;
}
.trainer-item-badges > img{
    width: 80%;
    height: "";
}
.trainer-item-badges > p{
    margin: 0px 0px 0px 0px;
    font-size: small;
    text-align: center;
    color:#2f79d3;
}

/*Trainer Navigation*/
.trainer-selction-navigation{
    position: absolute;
    top: 60%;
    left: 0;
    right: 0;   
}
.trainer-selction-navigation-left{
    position: absolute;
    left: 5%;
}
.trainer-selction-navigation-right{
    position: absolute;
    right: 5%;
}


/*Question Section*/
.fragen-antwort-section{
    margin-top: 0px;

    height: 100%;

    padding: 0px 0px 100px 0px;

    background-color: white;
}
.fragen-antwort-section > h1{
    text-align: center;

    font-weight: 900;

    margin-bottom: 50px;
}
.fragen-container{
    height: 100%;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
}
.frage-item{
    max-width: 700px;
    width: 80%;

    display: flex;
    flex-direction: column;

    border-radius: 12px;

    background-color: rgb(230, 230, 230);

    cursor: pointer;

    transition: all .1s ease-in-out;
}
.frage-item:hover{
    transform: scale(101%);
}
.fragen_dropdown{
    height: 30px;
    width: 100%;

    position: relative;

    display: flex;
    flex-direction: row;
    justify-content: center;

    padding-top: 10px;

    pointer-events: auto;
}
.fragen_dropdown > h4{
    margin-top: 0px;
    text-align: center;
}
.fragen_dropdown > img{
    position: absolute;
    right: 5%;
}
.fragen_dropdown-content{
    max-height: 0px;
    overflow: hidden;
    transition: max-height .4s ease-in-out;

    text-align: center;
    font-size: 13px;

    margin-left: 15px;
    margin-right: 15px;

    pointer-events: auto;
}
.fragen_dropdown-content > p{
   padding-bottom: 10px;
}
.fragen_dropdown-content_open{
    max-height: 200px;
}


/* Contact Section */

.contact-section{
    height: 150px;
    width: 100%;

    bottom: 0;

    background-color: rgb(180, 211, 255);

    display: flex;
    align-items: center;
    justify-content: space-between;
}

.contact-section-icon-container{
    width: 200px;

    margin: 0px 0px 0px 15%;

    display: flex;
    align-items: center;
    justify-content: space-around;
}

.contact-section img{
    height: 50px;
    width: 50px;

    object-fit: cover;

    cursor: pointer;
}
.contact-section img:hover{
    size: 1.1;
}

/*Ivisible*/
.hide{
    display: none;
}

@media(max-width: 1300px) {
    .trailtraining-section{
        height: 1300px;
    }
    .trailtraining-section > img{
        width: 100%;
        height: 1300px;
    
        object-fit: cover;
    
        z-index: 0;
    }
    .trailtraining-section-header{
        margin-top: -130px;
    }
    .trailtraining-section-header > h1{
        text-align: center;
    }
    .trailtraining-section-header > p{
        margin-top: -20px;
    }
    .trailtraining-section-item-container{
       flex-direction: column;
       gap: 20px;

       margin: -20px 0px 0px 0px;
    }
    .trailtraining-section-item {
        width: 120%;
    }
    .trailtraining-section-pt{
        margin-top: -50px;
    }


    .trainer-section{
        height: 2000px;
    }
    .trainer-container{
        flex-direction: column;
        gap: 50px;
    }
    .trainer-item{
        width: 90%;
    }
}

@media(max-width: 1000px){
    body{
        font-family: 'Montserrat', sans-serif;
    }

    .willkommens-section{
        margin: 0px 0px 0px 0px;
    }
    .willkommens-section h1{
        margin-left: 5%;
    }
    .willkommens-section h4{
        margin-left: 5%;
    }
    .willkommens-text{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .willkommens-text > iframe{ 
        order: 1;
        width: 100%;
        height: 100%;
        aspect-ratio: 16 / 9;  
        margin: 0 auto;     
    }
    .willkommens-text > p{
        order: 2;
    }
    .willkommens-video > iframe{
        scale: 1;
    }

    .hero-section{
        height: 100vh;
    }
    .hero-text{
        position: absolute;
        top: 115%;
        bottom: 0%;
        left: 50%;
        width: 100%;
        height: 100%;
        transform: translate(-50%, -50%);
        color: rgb(0, 0, 0);
        background: rgb(255, 255, 255);
    }
    .hero-text h1 {
        font-size: 2.5rem;
        margin: 0;
    }
    .hero-text p {
        font-size: 1rem;
    }
    .hero-description{
        margin: 0px 0px 0px 0px;
        justify-content: center;
    }
    .hero-description-element{
        min-width: 130px;
        scale: .7;
    }

    .course-section-container{
        height: 100%;

        flex-direction: column;
    }

    .fragen_dropdown{
        height: 50px;
    }
    .fragen_dropdown > img{
        display: none;
    }


    .contact-section-icon-container{
        width: 100%;
        margin: 0px 0px 0px 0px;
    }

    .probetraining-button{
        margin-top: -20px;
    }
}

@media(max-width: 430px){
    .hero-text h1 {
        font-size: 2rem;
        margin: 0;
    }
    .hero-text p {
        font-size: 1rem;
    }

    .hero-description-element{
        min-width: 110px;
    }

    .course-section > h1{
        text-align: center;
    }
}

@media(max-width: 350px){
    .hero-text{
        top: 100%;
    }
    .hero-text h1 {
        font-size: 2rem;
    }
    .hero-text p {
        font-size: 1rem;
    }

    .hero-description-element{
        min-width: 110px;
    }

    .trailtraining-section-item > h2{
        font-size: 1.2rem;
    }
    .trailtraining-section-item > p{
        font-size: .8rem;
    }

    .probetraining-button{
        margin-top: -40px;
    }
}


.blue{
    color:#2f79d3;
}